package com.mortals.xhx.module.yth.model;

import java.util.List;
import java.util.Date;

/**
*
* Description:YthOnething
* date: 2021-9-23 16:00:52
*/
public class YthOnethingQuery extends YthOnethingEntity{
    private static final long serialVersionUID = 1632384052551L;
    /** 开始 主键，自增长 */
    private Long idStart;

    /** 结束 主键，自增长 */
    private Long idEnd;

    /** 增加 主键，自增长 */
    private Long idIncrement;

    /** 主键，自增长 */
    private List <Long> idList;


    /** 流程任务id */
    private List<String> taskIdList;

    /** 流程实例id */
    private List<String> processInstanceIdList;
    /** 开始 微信用户ID */
    private Long memberIdStart;

    /** 结束 微信用户ID */
    private Long memberIdEnd;

    /** 增加 微信用户ID */
    private Long memberIdIncrement;

    /** 微信用户ID */
    private List <Long> memberIdList;


    /** 微信OPENID */
    private List<String> openIdList;
    /** 开始 申请主题包id */
    private Long classifyTopicIdStart;

    /** 结束 申请主题包id */
    private Long classifyTopicIdEnd;

    /** 增加 申请主题包id */
    private Long classifyTopicIdIncrement;

    /** 申请主题包id */
    private List <Long> classifyTopicIdList;


    /** 邮寄地址 */
    private List<String> addressList;

    /** 联系人 */
    private List<String> linkmanList;

    /** 开始 联系电话 */
    private Integer phoneStart;

    /** 结束 联系电话 */
    private Integer phoneEnd;

    /** 增加 联系电话 */
    private Integer phoneIncrement;

    /** 联系电话 */
    private List <Integer> phoneList;

    /** 开始 取件方式 0自主取件  1邮寄 */
    private Integer mannerStart;

    /** 结束 取件方式 0自主取件  1邮寄 */
    private Integer mannerEnd;

    /** 增加 取件方式 0自主取件  1邮寄 */
    private Integer mannerIncrement;

    /** 取件方式 0自主取件  1邮寄 */
    private List <Integer> mannerList;

    /** 取件码 */
    private List<String> getnumList;

    /** 快递单号 */
    private List<String> numberList;

    /** 开始 是否代办 0是本人办理 1他人代办 */
    private Integer isAgentStart;

    /** 结束 是否代办 0是本人办理 1他人代办 */
    private Integer isAgentEnd;

    /** 增加 是否代办 0是本人办理 1他人代办 */
    private Integer isAgentIncrement;

    /** 是否代办 0是本人办理 1他人代办 */
    private List <Integer> isAgentList;

    /** 开始 0是否撤销 1撤销 */
    private Integer isRevokeStart;

    /** 结束 0是否撤销 1撤销 */
    private Integer isRevokeEnd;

    /** 增加 0是否撤销 1撤销 */
    private Integer isRevokeIncrement;

    /** 0是否撤销 1撤销 */
    private List <Integer> isRevokeList;

    /** 开始 站点ID */
    private Integer siteidStart;

    /** 结束 站点ID */
    private Integer siteidEnd;

    /** 增加 站点ID */
    private Integer siteidIncrement;

    /** 站点ID */
    private List <Integer> siteidList;

    /** 开始 审批状态 0未审核 1 审核中 2 审核成功 */
    private Integer statusStart;

    /** 结束 审批状态 0未审核 1 审核中 2 审核成功 */
    private Integer statusEnd;

    /** 增加 审批状态 0未审核 1 审核中 2 审核成功 */
    private Integer statusIncrement;

    /** 审批状态 0未审核 1 审核中 2 审核成功 */
    private List <Integer> statusList;
    /** 开始 变更时间 */
    private String updateTimeStart;

    /** 结束 变更时间 */
    private String updateTimeEnd;

    /** 变更用户loginName */
    private List<String> updateUserList;
    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 创建用户loginName */
    private List<String> createUserList;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<YthOnethingQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<YthOnethingQuery> andConditionList;


    public YthOnethingQuery(){
    }

    /**
    * 获取 开始 主键，自增长
    * @return idStart
    */
    public Long getIdStart(){
    return this.idStart;
    }

    /**
    * 设置 开始 主键，自增长
    * @param idStart
    */
    public void setIdStart(Long idStart){
    this.idStart = idStart;
    }

    /**
    * 获取 结束 主键，自增长
    * @return idEnd
    */
    public Long getIdEnd(){
    return this.idEnd;
    }

    /**
    * 设置 结束 主键，自增长
    * @param idEnd
    */
    public void setIdEnd(Long idEnd){
    this.idEnd = idEnd;
    }

    /**
    * 获取 增加 主键，自增长
    * @return idIncrement
    */
    public Long getIdIncrement(){
    return this.idIncrement;
    }

    /**
    * 设置 增加 主键，自增长
    * @param idIncrement
    */
    public void setIdIncrement(Long idIncrement){
    this.idIncrement = idIncrement;
    }

    /**
    * 获取 主键，自增长
    * @return idList
    */
    public List<Long> getIdList(){
    return this.idList;
    }

    /**
    * 设置 主键，自增长
    * @param idList
    */
    public void setIdList(List<Long> idList){
        this.idList = idList;
        }
    /**
    * 获取 流程任务id
    * @return taskIdList
    */
    public List<String> getTaskIdList(){
        return this.taskIdList;
    }

    /**
    * 设置 流程任务id
    * @param taskIdList
    */
    public void setTaskIdList(List<String> taskIdList){
        this.taskIdList = taskIdList;
    }
    /**
    * 获取 流程实例id
    * @return processInstanceIdList
    */
    public List<String> getProcessInstanceIdList(){
        return this.processInstanceIdList;
    }

    /**
    * 设置 流程实例id
    * @param processInstanceIdList
    */
    public void setProcessInstanceIdList(List<String> processInstanceIdList){
        this.processInstanceIdList = processInstanceIdList;
    }
    /**
    * 获取 开始 微信用户ID
    * @return memberIdStart
    */
    public Long getMemberIdStart(){
    return this.memberIdStart;
    }

    /**
    * 设置 开始 微信用户ID
    * @param memberIdStart
    */
    public void setMemberIdStart(Long memberIdStart){
    this.memberIdStart = memberIdStart;
    }

    /**
    * 获取 结束 微信用户ID
    * @return memberIdEnd
    */
    public Long getMemberIdEnd(){
    return this.memberIdEnd;
    }

    /**
    * 设置 结束 微信用户ID
    * @param memberIdEnd
    */
    public void setMemberIdEnd(Long memberIdEnd){
    this.memberIdEnd = memberIdEnd;
    }

    /**
    * 获取 增加 微信用户ID
    * @return memberIdIncrement
    */
    public Long getMemberIdIncrement(){
    return this.memberIdIncrement;
    }

    /**
    * 设置 增加 微信用户ID
    * @param memberIdIncrement
    */
    public void setMemberIdIncrement(Long memberIdIncrement){
    this.memberIdIncrement = memberIdIncrement;
    }

    /**
    * 获取 微信用户ID
    * @return memberIdList
    */
    public List<Long> getMemberIdList(){
    return this.memberIdList;
    }

    /**
    * 设置 微信用户ID
    * @param memberIdList
    */
    public void setMemberIdList(List<Long> memberIdList){
        this.memberIdList = memberIdList;
        }
    /**
    * 获取 微信OPENID
    * @return openIdList
    */
    public List<String> getOpenIdList(){
        return this.openIdList;
    }

    /**
    * 设置 微信OPENID
    * @param openIdList
    */
    public void setOpenIdList(List<String> openIdList){
        this.openIdList = openIdList;
    }
    /**
    * 获取 开始 申请主题包id
    * @return classifyTopicIdStart
    */
    public Long getClassifyTopicIdStart(){
    return this.classifyTopicIdStart;
    }

    /**
    * 设置 开始 申请主题包id
    * @param classifyTopicIdStart
    */
    public void setClassifyTopicIdStart(Long classifyTopicIdStart){
    this.classifyTopicIdStart = classifyTopicIdStart;
    }

    /**
    * 获取 结束 申请主题包id
    * @return classifyTopicIdEnd
    */
    public Long getClassifyTopicIdEnd(){
    return this.classifyTopicIdEnd;
    }

    /**
    * 设置 结束 申请主题包id
    * @param classifyTopicIdEnd
    */
    public void setClassifyTopicIdEnd(Long classifyTopicIdEnd){
    this.classifyTopicIdEnd = classifyTopicIdEnd;
    }

    /**
    * 获取 增加 申请主题包id
    * @return classifyTopicIdIncrement
    */
    public Long getClassifyTopicIdIncrement(){
    return this.classifyTopicIdIncrement;
    }

    /**
    * 设置 增加 申请主题包id
    * @param classifyTopicIdIncrement
    */
    public void setClassifyTopicIdIncrement(Long classifyTopicIdIncrement){
    this.classifyTopicIdIncrement = classifyTopicIdIncrement;
    }

    /**
    * 获取 申请主题包id
    * @return classifyTopicIdList
    */
    public List<Long> getClassifyTopicIdList(){
    return this.classifyTopicIdList;
    }

    /**
    * 设置 申请主题包id
    * @param classifyTopicIdList
    */
    public void setClassifyTopicIdList(List<Long> classifyTopicIdList){
        this.classifyTopicIdList = classifyTopicIdList;
        }
    /**
    * 获取 邮寄地址
    * @return addressList
    */
    public List<String> getAddressList(){
        return this.addressList;
    }

    /**
    * 设置 邮寄地址
    * @param addressList
    */
    public void setAddressList(List<String> addressList){
        this.addressList = addressList;
    }
    /**
    * 获取 联系人
    * @return linkmanList
    */
    public List<String> getLinkmanList(){
        return this.linkmanList;
    }

    /**
    * 设置 联系人
    * @param linkmanList
    */
    public void setLinkmanList(List<String> linkmanList){
        this.linkmanList = linkmanList;
    }
    /**
    * 获取 开始 联系电话
    * @return phoneStart
    */
    public Integer getPhoneStart(){
        return this.phoneStart;
    }

    /**
    * 设置 开始 联系电话
    * @param phoneStart
    */
    public void setPhoneStart(Integer phoneStart){
        this.phoneStart = phoneStart;
    }

    /**
    * 获取 结束 联系电话
    * @return phoneEnd
    */
    public Integer getPhoneEnd(){
        return this.phoneEnd;
    }

    /**
    * 设置 结束 联系电话
    * @param phoneEnd
    */
    public void setPhoneEnd(Integer phoneEnd){
        this.phoneEnd = phoneEnd;
    }

    /**
    * 获取 增加 联系电话
    * @return phoneIncrement
    */
    public Integer getPhoneIncrement(){
        return this.phoneIncrement;
    }

    /**
    * 设置 增加 联系电话
    * @param phoneIncrement
    */
    public void setPhoneIncrement(Integer phoneIncrement){
        this.phoneIncrement = phoneIncrement;
    }

    /**
    * 获取 联系电话
    * @return phoneList
    */
    public List<Integer> getPhoneList(){
        return this.phoneList;
    }

    /**
    * 设置 联系电话
    * @param phoneList
    */
    public void setPhoneList(List<Integer> phoneList){
        this.phoneList = phoneList;
    }
    /**
    * 获取 开始 取件方式 0自主取件  1邮寄
    * @return mannerStart
    */
    public Integer getMannerStart(){
        return this.mannerStart;
    }

    /**
    * 设置 开始 取件方式 0自主取件  1邮寄
    * @param mannerStart
    */
    public void setMannerStart(Integer mannerStart){
        this.mannerStart = mannerStart;
    }

    /**
    * 获取 结束 取件方式 0自主取件  1邮寄
    * @return mannerEnd
    */
    public Integer getMannerEnd(){
        return this.mannerEnd;
    }

    /**
    * 设置 结束 取件方式 0自主取件  1邮寄
    * @param mannerEnd
    */
    public void setMannerEnd(Integer mannerEnd){
        this.mannerEnd = mannerEnd;
    }

    /**
    * 获取 增加 取件方式 0自主取件  1邮寄
    * @return mannerIncrement
    */
    public Integer getMannerIncrement(){
        return this.mannerIncrement;
    }

    /**
    * 设置 增加 取件方式 0自主取件  1邮寄
    * @param mannerIncrement
    */
    public void setMannerIncrement(Integer mannerIncrement){
        this.mannerIncrement = mannerIncrement;
    }

    /**
    * 获取 取件方式 0自主取件  1邮寄
    * @return mannerList
    */
    public List<Integer> getMannerList(){
        return this.mannerList;
    }

    /**
    * 设置 取件方式 0自主取件  1邮寄
    * @param mannerList
    */
    public void setMannerList(List<Integer> mannerList){
        this.mannerList = mannerList;
    }
    /**
    * 获取 取件码
    * @return getnumList
    */
    public List<String> getGetnumList(){
        return this.getnumList;
    }

    /**
    * 设置 取件码
    * @param getnumList
    */
    public void setGetnumList(List<String> getnumList){
        this.getnumList = getnumList;
    }
    /**
    * 获取 快递单号
    * @return numberList
    */
    public List<String> getNumberList(){
        return this.numberList;
    }

    /**
    * 设置 快递单号
    * @param numberList
    */
    public void setNumberList(List<String> numberList){
        this.numberList = numberList;
    }
    /**
    * 获取 开始 是否代办 0是本人办理 1他人代办
    * @return isAgentStart
    */
    public Integer getIsAgentStart(){
        return this.isAgentStart;
    }

    /**
    * 设置 开始 是否代办 0是本人办理 1他人代办
    * @param isAgentStart
    */
    public void setIsAgentStart(Integer isAgentStart){
        this.isAgentStart = isAgentStart;
    }

    /**
    * 获取 结束 是否代办 0是本人办理 1他人代办
    * @return isAgentEnd
    */
    public Integer getIsAgentEnd(){
        return this.isAgentEnd;
    }

    /**
    * 设置 结束 是否代办 0是本人办理 1他人代办
    * @param isAgentEnd
    */
    public void setIsAgentEnd(Integer isAgentEnd){
        this.isAgentEnd = isAgentEnd;
    }

    /**
    * 获取 增加 是否代办 0是本人办理 1他人代办
    * @return isAgentIncrement
    */
    public Integer getIsAgentIncrement(){
        return this.isAgentIncrement;
    }

    /**
    * 设置 增加 是否代办 0是本人办理 1他人代办
    * @param isAgentIncrement
    */
    public void setIsAgentIncrement(Integer isAgentIncrement){
        this.isAgentIncrement = isAgentIncrement;
    }

    /**
    * 获取 是否代办 0是本人办理 1他人代办
    * @return isAgentList
    */
    public List<Integer> getIsAgentList(){
        return this.isAgentList;
    }

    /**
    * 设置 是否代办 0是本人办理 1他人代办
    * @param isAgentList
    */
    public void setIsAgentList(List<Integer> isAgentList){
        this.isAgentList = isAgentList;
    }
    /**
    * 获取 开始 0是否撤销 1撤销
    * @return isRevokeStart
    */
    public Integer getIsRevokeStart(){
        return this.isRevokeStart;
    }

    /**
    * 设置 开始 0是否撤销 1撤销
    * @param isRevokeStart
    */
    public void setIsRevokeStart(Integer isRevokeStart){
        this.isRevokeStart = isRevokeStart;
    }

    /**
    * 获取 结束 0是否撤销 1撤销
    * @return isRevokeEnd
    */
    public Integer getIsRevokeEnd(){
        return this.isRevokeEnd;
    }

    /**
    * 设置 结束 0是否撤销 1撤销
    * @param isRevokeEnd
    */
    public void setIsRevokeEnd(Integer isRevokeEnd){
        this.isRevokeEnd = isRevokeEnd;
    }

    /**
    * 获取 增加 0是否撤销 1撤销
    * @return isRevokeIncrement
    */
    public Integer getIsRevokeIncrement(){
        return this.isRevokeIncrement;
    }

    /**
    * 设置 增加 0是否撤销 1撤销
    * @param isRevokeIncrement
    */
    public void setIsRevokeIncrement(Integer isRevokeIncrement){
        this.isRevokeIncrement = isRevokeIncrement;
    }

    /**
    * 获取 0是否撤销 1撤销
    * @return isRevokeList
    */
    public List<Integer> getIsRevokeList(){
        return this.isRevokeList;
    }

    /**
    * 设置 0是否撤销 1撤销
    * @param isRevokeList
    */
    public void setIsRevokeList(List<Integer> isRevokeList){
        this.isRevokeList = isRevokeList;
    }
    /**
    * 获取 开始 站点ID
    * @return siteidStart
    */
    public Integer getSiteidStart(){
        return this.siteidStart;
    }

    /**
    * 设置 开始 站点ID
    * @param siteidStart
    */
    public void setSiteidStart(Integer siteidStart){
        this.siteidStart = siteidStart;
    }

    /**
    * 获取 结束 站点ID
    * @return siteidEnd
    */
    public Integer getSiteidEnd(){
        return this.siteidEnd;
    }

    /**
    * 设置 结束 站点ID
    * @param siteidEnd
    */
    public void setSiteidEnd(Integer siteidEnd){
        this.siteidEnd = siteidEnd;
    }

    /**
    * 获取 增加 站点ID
    * @return siteidIncrement
    */
    public Integer getSiteidIncrement(){
        return this.siteidIncrement;
    }

    /**
    * 设置 增加 站点ID
    * @param siteidIncrement
    */
    public void setSiteidIncrement(Integer siteidIncrement){
        this.siteidIncrement = siteidIncrement;
    }

    /**
    * 获取 站点ID
    * @return siteidList
    */
    public List<Integer> getSiteidList(){
        return this.siteidList;
    }

    /**
    * 设置 站点ID
    * @param siteidList
    */
    public void setSiteidList(List<Integer> siteidList){
        this.siteidList = siteidList;
    }
    /**
    * 获取 开始 审批状态 0未审核 1 审核中 2 审核成功
    * @return statusStart
    */
    public Integer getStatusStart(){
        return this.statusStart;
    }

    /**
    * 设置 开始 审批状态 0未审核 1 审核中 2 审核成功
    * @param statusStart
    */
    public void setStatusStart(Integer statusStart){
        this.statusStart = statusStart;
    }

    /**
    * 获取 结束 审批状态 0未审核 1 审核中 2 审核成功
    * @return statusEnd
    */
    public Integer getStatusEnd(){
        return this.statusEnd;
    }

    /**
    * 设置 结束 审批状态 0未审核 1 审核中 2 审核成功
    * @param statusEnd
    */
    public void setStatusEnd(Integer statusEnd){
        this.statusEnd = statusEnd;
    }

    /**
    * 获取 增加 审批状态 0未审核 1 审核中 2 审核成功
    * @return statusIncrement
    */
    public Integer getStatusIncrement(){
        return this.statusIncrement;
    }

    /**
    * 设置 增加 审批状态 0未审核 1 审核中 2 审核成功
    * @param statusIncrement
    */
    public void setStatusIncrement(Integer statusIncrement){
        this.statusIncrement = statusIncrement;
    }

    /**
    * 获取 审批状态 0未审核 1 审核中 2 审核成功
    * @return statusList
    */
    public List<Integer> getStatusList(){
        return this.statusList;
    }

    /**
    * 设置 审批状态 0未审核 1 审核中 2 审核成功
    * @param statusList
    */
    public void setStatusList(List<Integer> statusList){
        this.statusList = statusList;
    }
    /**
    * 获取 开始 变更时间
    * @return updateTimeStart
    */
    public String getUpdateTimeStart(){
    return this.updateTimeStart;
    }

    /**
    * 设置 开始 变更时间
    * @param updateTimeStart
    */
    public void setUpdateTimeStart(String updateTimeStart){
    this.updateTimeStart = updateTimeStart;
    }

    /**
    * 获取 结束 变更时间
    * @return updateTimeEnd
    */
    public String getUpdateTimeEnd(){
    return this.updateTimeEnd;
    }

    /**
    * 设置 结束 变更时间
    * @param updateTimeEnd
    */
    public void setUpdateTimeEnd(String updateTimeEnd){
    this.updateTimeEnd = updateTimeEnd;
    }
    /**
    * 获取 变更用户loginName
    * @return updateUserList
    */
    public List<String> getUpdateUserList(){
        return this.updateUserList;
    }

    /**
    * 设置 变更用户loginName
    * @param updateUserList
    */
    public void setUpdateUserList(List<String> updateUserList){
        this.updateUserList = updateUserList;
    }
    /**
    * 获取 开始 创建时间
    * @return createTimeStart
    */
    public String getCreateTimeStart(){
    return this.createTimeStart;
    }

    /**
    * 设置 开始 创建时间
    * @param createTimeStart
    */
    public void setCreateTimeStart(String createTimeStart){
    this.createTimeStart = createTimeStart;
    }

    /**
    * 获取 结束 创建时间
    * @return createTimeEnd
    */
    public String getCreateTimeEnd(){
    return this.createTimeEnd;
    }

    /**
    * 设置 结束 创建时间
    * @param createTimeEnd
    */
    public void setCreateTimeEnd(String createTimeEnd){
    this.createTimeEnd = createTimeEnd;
    }
    /**
    * 获取 创建用户loginName
    * @return createUserList
    */
    public List<String> getCreateUserList(){
        return this.createUserList;
    }

    /**
    * 设置 创建用户loginName
    * @param createUserList
    */
    public void setCreateUserList(List<String> createUserList){
        this.createUserList = createUserList;
    }


	/**
    * 设置  主键，自增长
    * @param id
    */
    public YthOnethingQuery id(Long id){
	    setId(id);
		return this;
    }
	
	 /**
    * 设置 开始 主键，自增长
    * @param idStart
    */
    public YthOnethingQuery idStart(Long idStart){
		this.idStart = idStart;
		return this;
    }

    /**
    * 设置 结束 主键，自增长
    * @param idEnd
    */
    public YthOnethingQuery idEnd(Long idEnd){
		this.idEnd = idEnd;
		return this;
    }

    /**
    * 设置 增加 主键，自增长
    * @param idIncrement
    */
    public YthOnethingQuery idIncrement(Long idIncrement){
		this.idIncrement = idIncrement;
		return this;
    }

    /**
    * 设置 主键，自增长
    * @param idList
    */
    public YthOnethingQuery idList(List<Long> idList){
        this.idList = idList;
		return this;
        }
	/**
    * 设置 流程任务id
    * @param taskId
    */
    public YthOnethingQuery taskId(String taskId){
        setTaskId(taskId);
		return this;
    }


    /**
    * 设置 流程任务id
    * @param taskIdList
    */
    public YthOnethingQuery taskIdList(List<String> taskIdList){
        this.taskIdList = taskIdList;
		return this;
    }
	/**
    * 设置 流程实例id
    * @param processInstanceId
    */
    public YthOnethingQuery processInstanceId(String processInstanceId){
        setProcessInstanceId(processInstanceId);
		return this;
    }


    /**
    * 设置 流程实例id
    * @param processInstanceIdList
    */
    public YthOnethingQuery processInstanceIdList(List<String> processInstanceIdList){
        this.processInstanceIdList = processInstanceIdList;
		return this;
    }

	/**
    * 设置  微信用户ID
    * @param memberId
    */
    public YthOnethingQuery memberId(Long memberId){
	    setMemberId(memberId);
		return this;
    }
	
	 /**
    * 设置 开始 微信用户ID
    * @param memberIdStart
    */
    public YthOnethingQuery memberIdStart(Long memberIdStart){
		this.memberIdStart = memberIdStart;
		return this;
    }

    /**
    * 设置 结束 微信用户ID
    * @param memberIdEnd
    */
    public YthOnethingQuery memberIdEnd(Long memberIdEnd){
		this.memberIdEnd = memberIdEnd;
		return this;
    }

    /**
    * 设置 增加 微信用户ID
    * @param memberIdIncrement
    */
    public YthOnethingQuery memberIdIncrement(Long memberIdIncrement){
		this.memberIdIncrement = memberIdIncrement;
		return this;
    }

    /**
    * 设置 微信用户ID
    * @param memberIdList
    */
    public YthOnethingQuery memberIdList(List<Long> memberIdList){
        this.memberIdList = memberIdList;
		return this;
        }
	/**
    * 设置 微信OPENID
    * @param openId
    */
    public YthOnethingQuery openId(String openId){
        setOpenId(openId);
		return this;
    }


    /**
    * 设置 微信OPENID
    * @param openIdList
    */
    public YthOnethingQuery openIdList(List<String> openIdList){
        this.openIdList = openIdList;
		return this;
    }

	/**
    * 设置  申请主题包id
    * @param classifyTopicId
    */
    public YthOnethingQuery classifyTopicId(Long classifyTopicId){
	    setClassifyTopicId(classifyTopicId);
		return this;
    }
	
	 /**
    * 设置 开始 申请主题包id
    * @param classifyTopicIdStart
    */
    public YthOnethingQuery classifyTopicIdStart(Long classifyTopicIdStart){
		this.classifyTopicIdStart = classifyTopicIdStart;
		return this;
    }

    /**
    * 设置 结束 申请主题包id
    * @param classifyTopicIdEnd
    */
    public YthOnethingQuery classifyTopicIdEnd(Long classifyTopicIdEnd){
		this.classifyTopicIdEnd = classifyTopicIdEnd;
		return this;
    }

    /**
    * 设置 增加 申请主题包id
    * @param classifyTopicIdIncrement
    */
    public YthOnethingQuery classifyTopicIdIncrement(Long classifyTopicIdIncrement){
		this.classifyTopicIdIncrement = classifyTopicIdIncrement;
		return this;
    }

    /**
    * 设置 申请主题包id
    * @param classifyTopicIdList
    */
    public YthOnethingQuery classifyTopicIdList(List<Long> classifyTopicIdList){
        this.classifyTopicIdList = classifyTopicIdList;
		return this;
        }
	/**
    * 设置 邮寄地址
    * @param address
    */
    public YthOnethingQuery address(String address){
        setAddress(address);
		return this;
    }


    /**
    * 设置 邮寄地址
    * @param addressList
    */
    public YthOnethingQuery addressList(List<String> addressList){
        this.addressList = addressList;
		return this;
    }
	/**
    * 设置 联系人
    * @param linkman
    */
    public YthOnethingQuery linkman(String linkman){
        setLinkman(linkman);
		return this;
    }


    /**
    * 设置 联系人
    * @param linkmanList
    */
    public YthOnethingQuery linkmanList(List<String> linkmanList){
        this.linkmanList = linkmanList;
		return this;
    }
	
	/**
    * 设置  联系电话
    * @param phone
    */
    public YthOnethingQuery phone(Integer phone){
        setPhone(phone);
		return this;
    }

    /**
    * 设置 开始 联系电话
    * @param phoneStart
    */
    public YthOnethingQuery phoneStart(Integer phoneStart){
        this.phoneStart = phoneStart;
		return this;
    }


    /**
    * 设置 结束 联系电话
    * @param phoneEnd
    */
    public YthOnethingQuery phoneEnd(Integer phoneEnd){
        this.phoneEnd = phoneEnd;
		return this;
    }


    /**
    * 设置 增加 联系电话
    * @param phoneIncrement
    */
    public YthOnethingQuery phoneIncrement(Integer phoneIncrement){
        this.phoneIncrement = phoneIncrement;
		return this;
    }


    /**
    * 设置 联系电话
    * @param phoneList
    */
    public YthOnethingQuery phoneList(List<Integer> phoneList){
        this.phoneList = phoneList;
		return this;
    }
	
	/**
    * 设置  取件方式 0自主取件  1邮寄
    * @param manner
    */
    public YthOnethingQuery manner(Integer manner){
        setManner(manner);
		return this;
    }

    /**
    * 设置 开始 取件方式 0自主取件  1邮寄
    * @param mannerStart
    */
    public YthOnethingQuery mannerStart(Integer mannerStart){
        this.mannerStart = mannerStart;
		return this;
    }


    /**
    * 设置 结束 取件方式 0自主取件  1邮寄
    * @param mannerEnd
    */
    public YthOnethingQuery mannerEnd(Integer mannerEnd){
        this.mannerEnd = mannerEnd;
		return this;
    }


    /**
    * 设置 增加 取件方式 0自主取件  1邮寄
    * @param mannerIncrement
    */
    public YthOnethingQuery mannerIncrement(Integer mannerIncrement){
        this.mannerIncrement = mannerIncrement;
		return this;
    }


    /**
    * 设置 取件方式 0自主取件  1邮寄
    * @param mannerList
    */
    public YthOnethingQuery mannerList(List<Integer> mannerList){
        this.mannerList = mannerList;
		return this;
    }
	/**
    * 设置 取件码
    * @param getnum
    */
    public YthOnethingQuery getnum(String getnum){
        setGetnum(getnum);
		return this;
    }


    /**
    * 设置 取件码
    * @param getnumList
    */
    public YthOnethingQuery getnumList(List<String> getnumList){
        this.getnumList = getnumList;
		return this;
    }
	/**
    * 设置 快递单号
    * @param number
    */
    public YthOnethingQuery number(String number){
        setNumber(number);
		return this;
    }


    /**
    * 设置 快递单号
    * @param numberList
    */
    public YthOnethingQuery numberList(List<String> numberList){
        this.numberList = numberList;
		return this;
    }
	
	/**
    * 设置  是否代办 0是本人办理 1他人代办
    * @param isAgent
    */
    public YthOnethingQuery isAgent(Integer isAgent){
        setIsAgent(isAgent);
		return this;
    }

    /**
    * 设置 开始 是否代办 0是本人办理 1他人代办
    * @param isAgentStart
    */
    public YthOnethingQuery isAgentStart(Integer isAgentStart){
        this.isAgentStart = isAgentStart;
		return this;
    }


    /**
    * 设置 结束 是否代办 0是本人办理 1他人代办
    * @param isAgentEnd
    */
    public YthOnethingQuery isAgentEnd(Integer isAgentEnd){
        this.isAgentEnd = isAgentEnd;
		return this;
    }


    /**
    * 设置 增加 是否代办 0是本人办理 1他人代办
    * @param isAgentIncrement
    */
    public YthOnethingQuery isAgentIncrement(Integer isAgentIncrement){
        this.isAgentIncrement = isAgentIncrement;
		return this;
    }


    /**
    * 设置 是否代办 0是本人办理 1他人代办
    * @param isAgentList
    */
    public YthOnethingQuery isAgentList(List<Integer> isAgentList){
        this.isAgentList = isAgentList;
		return this;
    }
	
	/**
    * 设置  0是否撤销 1撤销
    * @param isRevoke
    */
    public YthOnethingQuery isRevoke(Integer isRevoke){
        setIsRevoke(isRevoke);
		return this;
    }

    /**
    * 设置 开始 0是否撤销 1撤销
    * @param isRevokeStart
    */
    public YthOnethingQuery isRevokeStart(Integer isRevokeStart){
        this.isRevokeStart = isRevokeStart;
		return this;
    }


    /**
    * 设置 结束 0是否撤销 1撤销
    * @param isRevokeEnd
    */
    public YthOnethingQuery isRevokeEnd(Integer isRevokeEnd){
        this.isRevokeEnd = isRevokeEnd;
		return this;
    }


    /**
    * 设置 增加 0是否撤销 1撤销
    * @param isRevokeIncrement
    */
    public YthOnethingQuery isRevokeIncrement(Integer isRevokeIncrement){
        this.isRevokeIncrement = isRevokeIncrement;
		return this;
    }


    /**
    * 设置 0是否撤销 1撤销
    * @param isRevokeList
    */
    public YthOnethingQuery isRevokeList(List<Integer> isRevokeList){
        this.isRevokeList = isRevokeList;
		return this;
    }
	
	/**
    * 设置  站点ID
    * @param siteid
    */
    public YthOnethingQuery siteid(Integer siteid){
        setSiteid(siteid);
		return this;
    }

    /**
    * 设置 开始 站点ID
    * @param siteidStart
    */
    public YthOnethingQuery siteidStart(Integer siteidStart){
        this.siteidStart = siteidStart;
		return this;
    }


    /**
    * 设置 结束 站点ID
    * @param siteidEnd
    */
    public YthOnethingQuery siteidEnd(Integer siteidEnd){
        this.siteidEnd = siteidEnd;
		return this;
    }


    /**
    * 设置 增加 站点ID
    * @param siteidIncrement
    */
    public YthOnethingQuery siteidIncrement(Integer siteidIncrement){
        this.siteidIncrement = siteidIncrement;
		return this;
    }


    /**
    * 设置 站点ID
    * @param siteidList
    */
    public YthOnethingQuery siteidList(List<Integer> siteidList){
        this.siteidList = siteidList;
		return this;
    }
	
	/**
    * 设置  审批状态 0未审核 1 审核中 2 审核成功
    * @param status
    */
    public YthOnethingQuery status(Integer status){
        setStatus(status);
		return this;
    }

    /**
    * 设置 开始 审批状态 0未审核 1 审核中 2 审核成功
    * @param statusStart
    */
    public YthOnethingQuery statusStart(Integer statusStart){
        this.statusStart = statusStart;
		return this;
    }


    /**
    * 设置 结束 审批状态 0未审核 1 审核中 2 审核成功
    * @param statusEnd
    */
    public YthOnethingQuery statusEnd(Integer statusEnd){
        this.statusEnd = statusEnd;
		return this;
    }


    /**
    * 设置 增加 审批状态 0未审核 1 审核中 2 审核成功
    * @param statusIncrement
    */
    public YthOnethingQuery statusIncrement(Integer statusIncrement){
        this.statusIncrement = statusIncrement;
		return this;
    }


    /**
    * 设置 审批状态 0未审核 1 审核中 2 审核成功
    * @param statusList
    */
    public YthOnethingQuery statusList(List<Integer> statusList){
        this.statusList = statusList;
		return this;
    }

    /**
    * 设置 开始 变更时间
    * @param updateTimeStart
    */
    public YthOnethingQuery updateTimeStart(String updateTimeStart){
		this.updateTimeStart = updateTimeStart;
		return this;
    }


    /**
    * 设置 结束 变更时间
    * @param updateTimeEnd
    */
    public YthOnethingQuery updateTimeEnd(String updateTimeEnd){
		this.updateTimeEnd = updateTimeEnd;
		return this;
    }
	/**
    * 设置 变更用户loginName
    * @param updateUser
    */
    public YthOnethingQuery updateUser(String updateUser){
        setUpdateUser(updateUser);
		return this;
    }


    /**
    * 设置 变更用户loginName
    * @param updateUserList
    */
    public YthOnethingQuery updateUserList(List<String> updateUserList){
        this.updateUserList = updateUserList;
		return this;
    }

    /**
    * 设置 开始 创建时间
    * @param createTimeStart
    */
    public YthOnethingQuery createTimeStart(String createTimeStart){
		this.createTimeStart = createTimeStart;
		return this;
    }


    /**
    * 设置 结束 创建时间
    * @param createTimeEnd
    */
    public YthOnethingQuery createTimeEnd(String createTimeEnd){
		this.createTimeEnd = createTimeEnd;
		return this;
    }
	/**
    * 设置 创建用户loginName
    * @param createUser
    */
    public YthOnethingQuery createUser(String createUser){
        setCreateUser(createUser);
		return this;
    }


    /**
    * 设置 创建用户loginName
    * @param createUserList
    */
    public YthOnethingQuery createUserList(List<String> createUserList){
        this.createUserList = createUserList;
		return this;
    }


    /**
    * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @return orConditionList
    */
    public List<YthOnethingQuery> getOrConditionList(){
    return this.orConditionList;
    }

    /**
    * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @param orConditionList
    */
    public void setOrConditionList(List<YthOnethingQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
    * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @return andConditionList
    */
    public List<YthOnethingQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
    * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @param andConditionList
    */
    public void setAndConditionList(List<YthOnethingQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}